# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Initializing variables
    package_version = control.version.split("-", 1)[0]
    bin_name = "gs%sw32.exe" % package_version
    app_uninstallkey = "GPL Ghostscript %s" % package_version

    for gs in installed_softwares("Ghostscript"):
        if gs["version"] < control.version:
            killalltasks("gswin32.exe")
            cmd = uninstall_cmd(gs["key"])
            run(cmd)

    # Installing the package
    print("Installing: %s" % bin_name)
    install_exe_if_needed(
        bin_name,
        silentflags="/S",
        key=app_uninstallkey,
        min_version=package_version,
    )

def get_version_from_binary(filename, parameter="ProductVersion"):
    if filename.endswith(".msi"):
        return get_msi_properties(filename)[parameter]
    else:
        return get_file_properties(filename)[parameter]
